Package de.gebit.integrity.dsl

## Interface ValueOrEnumValueOrOperationCollection

- All Superinterfaces:
    `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`
  All Known Implementing Classes:
    `ValueOrEnumValueOrOperationCollectionImpl`

      public interface ValueOrEnumValueOrOperationCollection
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Value Or Enum Value Or Operation Collection'.

  The following features are supported:

  - `Value`
  - `More Values`
  See Also:
    `DslPackage.getValueOrEnumValueOrOperationCollection()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.emf.common.util.EList<ValueOrEnumValueOrOperation>` | `getMoreValues()` | Returns the value of the 'More Values' containment reference list.
    `ValueOrEnumValueOrOperation` | `getValue()` | Returns the value of the 'Value' containment reference.
    `void` | `setValue​(ValueOrEnumValueOrOperation value)` | Sets the value of the '`Value`' containment reference.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getValue

          ValueOrEnumValueOrOperation getValue()

      Returns the value of the 'Value' containment reference.
      Returns:
        the value of the 'Value' containment reference.
      See Also:
        `setValue(ValueOrEnumValueOrOperation)`, `DslPackage.getValueOrEnumValueOrOperationCollection_Value()`

    - #### setValue

          void setValue​(ValueOrEnumValueOrOperation value)

      Sets the value of the '`Value`' containment reference.
      Parameters:
        `value` - the new value of the 'Value' containment reference.
      See Also:
        `getValue()`

    - #### getMoreValues

          org.eclipse.emf.common.util.EList<ValueOrEnumValueOrOperation> getMoreValues()

      Returns the value of the 'More Values' containment reference list. The list contents are of type `ValueOrEnumValueOrOperation`.
      Returns:
        the value of the 'More Values' containment reference list.
      See Also:
        `DslPackage.getValueOrEnumValueOrOperationCollection_MoreValues()`